Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 823720

Summary: net-analyzer/wireshark-3.4.9 - CMake Error at docbook/CMakeLists.txt:67 (No target "tshark")
Product: Gentoo Linux Reporter: Jakov Smolić <jsmolic>
Component: Current packagesAssignee: Mikle Kolyada <zlogene>
Status: RESOLVED FIXED    
Severity: normal CC: bman, redblade7, sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://gitlab.com/wireshark/wireshark/-/issues/17766
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 823677    
Attachments: build log

Description Jakov Smolić archtester gentoo-dev 2021-11-14 14:03:15 UTC
Created attachment 751062 [details]
build log

CMake Error at docbook/CMakeLists.txt:67 (add_custom_target):
  Error evaluating generator expression:

    $<TARGET_FILE_DIR:tshark>

  No target "tshark"


-- Generating done
CMake Generate step failed.  Build files cannot be regenerated correctly.
 * ERROR: net-analyzer/wireshark-3.4.9::gentoo failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line  127:  Called src_configure
 *   environment, line 3664:  Called cmake_src_configure
 *   environment, line 1710:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 * 
 * If you need support, post the output of `emerge --info '=net-analyzer/wireshark-3.4.9::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-analyzer/wireshark-3.4.9::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-analyzer/wireshark-3.4.9/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-analyzer/wireshark-3.4.9/temp/environment'.
 * Working directory: '/var/tmp/portage/net-analyzer/wireshark-3.4.9/work/wireshark-3.4.9_build'
 * S: '/var/tmp/portage/net-analyzer/wireshark-3.4.9/work/wireshark-3.4.9'

# emerge --info
Portage 3.0.28 (python 3.9.7-final-0, default/linux/amd64/17.1/systemd, gcc-11.2.0, glibc-2.33-r7, 5.10.68-gentoo-dist x86_64)
=================================================================
System uname: Linux-5.10.68-gentoo-dist-x86_64-Common_KVM_processor-with-glibc2.33
KiB Mem:    65850752 total,  62934360 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 13 Nov 2021 10:00:01 +0000
Head commit of repository gentoo: 17e6c77befb049381251b7f86d66b009e44c7e66
Head commit of repository sakaki-tools: 571e34870d665e98677caecbd56cf0d399ee4b3c

sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-shells/bash:          5.1_p8::gentoo
dev-lang/perl:            5.34.0-r3::gentoo
dev-lang/python:          2.7.18_p13::gentoo, 3.9.7_p1::gentoo
dev-lang/rust-bin:        1.56.1::gentoo
dev-util/cmake:           3.20.5::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/sandbox:         2.25::gentoo
sys-devel/autoconf:       2.71-r1::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts:

sakaki-tools
    location: /usr/local/portage/sakaki-tools
    sync-type: git
    sync-uri: https://github.com/sakaki-/sakaki-tools.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* @FREE @BINARY-REDISTRIBUTABLE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 10"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j64 -l64"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 bzip2 cli crypt dri fortran gdbm iconv ipv6 libglvnd libtirpc multilib ncurses nls nptl openmp pam pcre readline seccomp split-usr ssl systemd udev unicode xattr zlib" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-18 09:07:16 UTC
Hm, it really doesn't like tshark being off there..
Comment 2 Red 2021-11-19 21:08:18 UTC
I'm having the same problem.
Comment 3 Red 2021-11-19 21:13:36 UTC
(In reply to Red from comment #2)
> I'm having the same problem.

No problems compiling when the tshark USE flag is enabled.
Comment 4 Larry the Git Cow gentoo-dev 2021-12-07 07:13:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86721c622f6e75874b3dc83b0133f5973b5ba84b

commit 86721c622f6e75874b3dc83b0133f5973b5ba84b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-07 07:12:47 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-07 07:12:55 +0000

    net-analyzer/wireshark: fix USE=-tshark build for 3.6.0
    
    Bug: https://bugs.gentoo.org/823720
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/wireshark-3.6.0-fix-no-tshark.patch      | 32 ++++++++++++++++++++++
 net-analyzer/wireshark/wireshark-3.6.0-r1.ebuild   |  1 +
 2 files changed, 33 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-12-08 05:55:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ae466e4c209e9be30c04bb650f294cdfb027d1a

commit 9ae466e4c209e9be30c04bb650f294cdfb027d1a
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-08 05:44:04 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-08 05:44:10 +0000

    net-analyzer/wireshark: keyword 3.6.0-r1
    
    Closes: https://bugs.gentoo.org/823720
    Signed-off-by: Sam James <sam@gentoo.org>

 net-analyzer/wireshark/wireshark-3.6.0-r1.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)